=== examples/Makefile ===
all: 
	cd embedded_ui; $(MAKE) all
	cd driver_testing; $(MAKE) all
	cd weak_linking; $(MAKE) all
clean: 
	cd embedded_ui; $(MAKE) clean
	cd driver_testing; $(MAKE) clean
	cd weak_linking; $(MAKE) clean
