=== debian/changelog ===
fff (1.1-3) unstable; urgency=medium

  * QA upload.

  [ Chris Lamb ]
  * Make build reproducible
    Closes: #1121804

  [ Andreas Tille ]
  * Maintain in Debian team on Salsa
  * d/watch: version=5
  * Add d/u/metadata

 -- Andreas Tille <tille@debian.org>  Sun, 07 Dec 2025 00:42:47 +0100

fff (1.1-2) unstable; urgency=medium

  * QA upload.
  * Convert to Architecture: all.

 -- Bastian Germann <bage@debian.org>  Thu, 14 Aug 2025 10:32:02 +0200

fff (1.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1016078)

 -- Bastian Germann <bage@debian.org>  Thu, 01 May 2025 10:11:07 +0200
