=== debian/control ===
Source: fff
Section: libdevel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 ruby,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian/fff
Vcs-Git: https://salsa.debian.org/debian/fff.git
Homepage: https://github.com/meekrosoft/fff

Package: libfff-dev
Architecture: all
Depends:
 ${misc:Depends},
Description: Fake Function Framework for C
 fff is a micro-framework for creating fake C functions for tests. Because
 life is too short to spend time hand-writing fake functions for testing.
