=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_test:
	./buildandtest

execute_before_dh_auto_install:
	# buildandtest bumps mtime; set to fixed value
	touch -d@$(SOURCE_DATE_EPOCH) fff.h
